openSUSE Security Update: Security update for gdk-pixbuf
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:0150-1
Rating:             moderate
References:         #1174307 #1180393 
Cross-References:   CVE-2020-29385
Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that solves one vulnerability and has one errata
   is now available.

Description:

   This update for gdk-pixbuf fixes the following issues:

   - CVE-2020-29385: Fixed an infinite loop in lzw.c in the function
     write_indexes (bsc#1180393).
   - Fixed an integer underflow in the GIF loader (bsc#1174307).

   This update was imported from the SUSE:SLE-15-SP2:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-150=1



Package List:

   - openSUSE Leap 15.2 (i586 x86_64):

      gdk-pixbuf-debugsource-2.40.0-lp152.2.3.1
      gdk-pixbuf-devel-2.40.0-lp152.2.3.1
      gdk-pixbuf-devel-debuginfo-2.40.0-lp152.2.3.1
      gdk-pixbuf-query-loaders-2.40.0-lp152.2.3.1
      gdk-pixbuf-query-loaders-debuginfo-2.40.0-lp152.2.3.1
      gdk-pixbuf-thumbnailer-2.40.0-lp152.2.3.1
      gdk-pixbuf-thumbnailer-debuginfo-2.40.0-lp152.2.3.1
      libgdk_pixbuf-2_0-0-2.40.0-lp152.2.3.1
      libgdk_pixbuf-2_0-0-debuginfo-2.40.0-lp152.2.3.1
      typelib-1_0-GdkPixbuf-2_0-2.40.0-lp152.2.3.1
      typelib-1_0-GdkPixdata-2_0-2.40.0-lp152.2.3.1

   - openSUSE Leap 15.2 (noarch):

      gdk-pixbuf-lang-2.40.0-lp152.2.3.1

   - openSUSE Leap 15.2 (x86_64):

      gdk-pixbuf-devel-32bit-2.40.0-lp152.2.3.1
      gdk-pixbuf-devel-32bit-debuginfo-2.40.0-lp152.2.3.1
      gdk-pixbuf-query-loaders-32bit-2.40.0-lp152.2.3.1
      gdk-pixbuf-query-loaders-32bit-debuginfo-2.40.0-lp152.2.3.1
      libgdk_pixbuf-2_0-0-32bit-2.40.0-lp152.2.3.1
      libgdk_pixbuf-2_0-0-32bit-debuginfo-2.40.0-lp152.2.3.1


References:

   https://www.suse.com/security/cve/CVE-2020-29385.html
   https://bugzilla.suse.com/1174307
   https://bugzilla.suse.com/1180393